This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 208756 - Find command misses certain Files when 1 level deep
Find command misses certain Files when 1 level deep
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: findutils (Show other bugs)
4.4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-01 13:50 EDT by Daniel Kunkel
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 13:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Kunkel 2006-10-01 13:50:33 EDT
Description of problem:

Find utility fails to find some files in some situations, specifically when it
is a certain level below the matched file.



Version-Release number of selected component (if applicable):

Centos 4.4

How reproducible:

Happens repeatedly...  only know of this particular example:

[root@A64 Sites]# pwd
/wrk/arc/athlon-cheryl/wrk/repos/ToCopy/Sites
[root@A64 Sites]# find . -name Pub*
./PublicResearchQuestions
[root@A64 Sites]# cd ..
[root@A64 ToCopy]# pwd
/wrk/arc/athlon-cheryl/wrk/repos/ToCopy
[root@A64 ToCopy]# find . -name Pub*
./PublicDomain
[root@A64 ToCopy]# cd ..
[root@A64 repos]# pwd
/wrk/arc/athlon-cheryl/wrk/repos
[root@A64 repos]# find . -name Pub*
./ani/OpticalIllusions/PublicDomain
./ToCopy/PublicDomain
./ToCopy/Sites/PublicResearchQuestions
[root@A64 repos]#


Steps to Reproduce:
1.  I don't know how to reproduce except in this circumstance.
2.
3.
  
Actual results:

Missing ./PublicResearchQuestions from 1 level deep


Expected results:


Additional info:

drwxr-xr-x  3 d d    4096 Sep 29 16:25 PublicResearchQuestions
Comment 1 Daniel Kunkel 2006-10-01 13:52:50 EDT
PS. Running on a A64 with dual processors on an ext3 LVM disk.

I'm willing to help solve/test if you can help me setup and compile the find
source code.
Comment 2 Miloslav Trmač 2006-10-04 13:17:20 EDT
Shell command lines undergo pathname expansion before being passed to find(1), so
the second find(1) command is equivalent to
(find . -name PublicDomain)

Note You need to log in before you can comment on or make changes to this bug.